
/* Navbar and Footer CSS
-------------------------------------------------- */

html {
    position: relative;
    min-height: 100%;
}
body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    /* Set the fixed height of the footer here */
    height: 60px;
    line-height: 60px; /* Vertically center the text there */
    background-color: #f5f5f5;
}

body > .container {
    padding: 25px 15px 0;
}

.footer > .container {
    padding-right: 15px;
    padding-left: 15px;
}

#index-main {
    margin-top: 100px;
}


/* --- Style search input-group (input, button)  --- */
#submit-search {
    margin: 0px 0px 0px 0px;
    width: 100%;
    border-color: #ccc;
    /*border-left: transparent;*/
    border-radius: 0px;
    background: transparent;
}

#submit-search:focus {
    border-color: #ccc;
    /*border-left: transparent;*/
    border-radius: 0px;
    background: transparent;
    border-color: #ccc;
    box-shadow: none;
}

#search-input {
    border-radius: 0px;
    /*border-right: transparent;*/
    border-color: #ccc;
    box-shadow: none;
}

#search-input:focus {
    border-radius: 0px;
    /*border-right: transparent;*/
}


#searchForm {
    width: 100%;
}
/* Search Results CSS
-------------------------------------------------- */

.search-result-title {
    margin-top: 10px;
}

.search-result-snipped {
    text-align: justify;
    font-style: italic;
}

.pagination-bar {
    margin-top: 40px;
    margin-bottom: 80px;        /* includes the 60px of the footer */
}

.statistics {
    margin-top: 10px;
    color: gray;
}

/* typeahead (autocomplete input) CSS
-------------------------------------------------- */

/* by default, the typeahead input doesn't fill 100% */
.twitter-typeahead, .tt-hint, .tt-input, .tt-menu {
    width: 100% !important;
}

.tt-query {
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -moz-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
}

.tt-hint {
    color: #999
}

.tt-menu {    /* used to be tt-dropdown-menu in older versions */
    width: 422px;
    margin-top: 4px;
    padding: 4px 0;
    background-color: #fff;
    border: 1px solid #ccc;
    border: 1px solid rgba(0, 0, 0, 0.2);
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
    -webkit-box-shadow: 0 5px 10px rgba(0,0,0,.2);
    -moz-box-shadow: 0 5px 10px rgba(0,0,0,.2);
    box-shadow: 0 5px 10px rgba(0,0,0,.2);
}

.tt-suggestion {
    padding: 3px 20px;
    line-height: 24px;
}

.tt-suggestion.tt-cursor,.tt-suggestion:hover {
    color: #fff;
    background-color: #0097cf;

}

.tt-suggestion p {
    margin: 0;
}
